Check if a domain has a pending, unpaid order

Verify if a specific domain has an ongoing order that has not yet been paid. This is useful to ensure pending orders are canceled correctly before domain removal.

Domains & DNS Domains

Context

Used in the dashboard

/ /domains

Workflow links

Produces

Path Parameters

id integer · min: 1 required Example: 10000

Unique id identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.currencyId string · Example: 0
data.dateCreated string · Example: 2026-02-10 00:00:00
data.hasPendingOrder boolean required · Example: true
data.invoiceId string · Example: 50000
data.invoiceStatus string · Example: unpaid
data.orderId string · Example: 40000
data.orderNumber string · Example: 100000000
data.proformaId string · Example: 202650000
data.total string · Example: 211.25
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domains/{id}/pending-order
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domains/10000/pending-order" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "hasPendingOrder": true,
    "orderId": "40000",
    "orderNumber": "100000000",
    "invoiceId": "50000",
    "proformaId": "202650000",
    "invoiceStatus": "unpaid",
    "total": "211.25",
    "currencyId": "0",
    "dateCreated": "2026-02-10 00:00:00"
  }
}